<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

Hook::call('login_before');

$auth=Factory::create('login.main');

if (isset($_GET['action']) && is_callable(array($auth, $_GET['action']))) call_user_func(array($auth, $_GET['action']));
else call_user_func(array($auth, 'main'));

Hook::call('login_after');
	